2017-12-18 23:09 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001452Orfeo Toolbox (OTB)Generalpublic2017-10-17 14:47
Reporterpoughov 
Assigned Togpasero 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformOSCentOS 7OS Version
Summary0001452: SuperBuild: undefined references to libgdal.so (related to libnetcdf)
DescriptionJust tried superbuild on release-6.2 branch. Fails at OTB build step with many undefined references to gdal symbols. See below for an extract of OTB-stamp/OTB-configure-err.log
Additional Information  Linking CXX executable cmTC_4211a

  /home/poughov/install/stow/cmake-3.5.2/bin/cmake -E cmake_link_script
  CMakeFiles/cmTC_4211a.dir/link.txt --verbose=1

  /opt/rh/devtoolset-6/root/usr/bin/c++ -msse2 -mfpmath=sse -Wall
  -Wcast-align -Wdisabled-optimization -Wextra -Wformat=2 -Winvalid-pch
  -Wno-format-nonliteral -Wpointer-arith -Wshadow -Wunused -Wwrite-strings
  -funit-at-a-time -Wno-strict-overflow -Wno-deprecated -Wno-invalid-offsetof
  -Woverloaded-virtual -Wstrict-null-sentinel -std=c++11
  CMakeFiles/cmTC_4211a.dir/gdalVersionTest.cxx.o -o cmTC_4211a -rdynamic
  /home/poughov/build/SuperBuild-6.2/install/lib/libgdal.so
  -Wl,-rpath,/home/poughov/build/SuperBuild-6.2/install/lib

  /opt/rh/devtoolset-6/root/usr/libexec/gcc/x86_64-redhat-linux/6.2.1/ld:
  warning: libnetcdf.so.11, needed by
  /home/poughov/build/SuperBuild-6.2/install/lib/libgdal.so, not found (try
  using -rpath or -rpath-link)

  /home/poughov/build/SuperBuild-6.2/install/lib/libgdal.so : référence
  indéfinie vers « nc_put_att_uchar »

  /home/poughov/build/SuperBuild-6.2/install/lib/libgdal.so : référence
  indéfinie vers « nc_put_vara_uint »

  /home/poughov/build/SuperBuild-6.2/install/lib/libgdal.so : référence
  indéfinie vers « nc_get_vara_schar »

  /home/poughov/build/SuperBuild-6.2/install/lib/libgdal.so : référence
  indéfinie vers « nc_inq_vardimid »

  /home/poughov/build/SuperBuild-6.2/install/lib/libgdal.so : référence
  indéfinie vers « nc_put_att_double »

[... many more ...]
TagsNo tags attached.
Attached Files

-Relationships
related to 0001468confirmedgpasero unrecognized command line option '-Wshorten-64-to-32' when building NETCDF 
+Relationships

-Notes

~0004319

poughov (administrator)

Last edited: 2017-09-22 15:26

View 2 revisions

I'm using gcc 6.2.1
my build script:

cd ~/build/SuperBuild-6.2
cmake ~/cnes/dev/otb/SuperBuild -DCMAKE_INSTALL_PREFIX=install -DOTB_USE_OPENGL=ON -DOTB_USE_QT4=ON -DOTB_USE_QWT=ON -DOTB_USE_GLEW=ON -DCMAKE_CXX_FLAGS="-std=c++11" -DDOWNLOAD_LOCATION=~/Téléchargements/

~0004330

gpasero (administrator)

Do you have the file /home/poughov/build/SuperBuild-6.2/install/lib/libnetcdf.so.11? Is it a symlink with a correct target ?

~0004344

gpasero (administrator)

Fixed in release-6.2

https://git.orfeo-toolbox.org/otb.git/commit/b354e4412233a93141f850219ea9f2bf493265a4

The branch will be merged into develop at some point in the future.
+Notes

-Issue History
Date Modified Username Field Change
2017-09-22 15:22 poughov New Issue
2017-09-22 15:25 poughov Note Added: 0004319
2017-09-22 15:26 poughov Note Edited: 0004319 View Revisions
2017-09-22 18:15 gpasero Note Added: 0004330
2017-10-03 14:54 gpasero Note Added: 0004344
2017-10-03 14:54 gpasero Status new => resolved
2017-10-03 14:54 gpasero Resolution open => fixed
2017-10-03 14:54 gpasero Assigned To => gpasero
2017-10-17 14:47 poughov Relationship added related to 0001468
+Issue History